{
	"$schema": "./node_modules/@angular/cli/lib/config/schema.json",
	"version": 1,
	"newProjectRoot": "projects",
	"projects": {
		"ng": {
			"projectType": "application",
			"schematics": {},
			"root": "",
			"sourceRoot": "src",
			"prefix": "app",
			"architect": {
				"build": {
					"builder": "@angular-devkit/build-angular:browser",
					"options": {
						"outputPath": "dist/ng-app",
						"index": "src/index.html",
						"main": "src/main.ts",
						"polyfills": "src/polyfills.ts",
						"tsConfig": "tsconfig.app.json",
						"assets": [
							"src/favicon.ico",
							"src/assets"
						],
						"styles": [
							"src/styles.scss"
						],
						"scripts": [],
						"vendorChunk": true,
						"extractLicenses": false,
						"buildOptimizer": false,
						"sourceMap": true,
						"optimization": false,
						"namedChunks": true
					},
					"configurations": {
						"production": {
							"fileReplacements": [
								{
									"replace": "src/environments/environment.ts",
									"with": "src/environments/environment.prod.ts"
								}
							],
							"optimization": true,
							"outputHashing": "all",
							"sourceMap": false,
							"namedChunks": false,
							"extractLicenses": true,
							"vendorChunk": false,
							"buildOptimizer": true,
							"budgets": [
								{
									"type": "initial",
									"maximumWarning": "2mb",
									"maximumError": "5mb"
								},
								{
									"type": "anyComponentStyle",
									"maximumWarning": "6kb",
									"maximumError": "10kb"
								}
							]
						}
					},
					"defaultConfiguration": ""
				},
				"serve": {
					"builder": "@angular-devkit/build-angular:dev-server",
					"options": {
						"browserTarget": "ng:build"
					},
					"configurations": {
						"production": {
							"browserTarget": "ng:build:production"
						}
					}
				},
				"test": {
					"builder": "@angular-devkit/build-angular:karma",
					"options": {
						"main": "src/test.ts",
						"polyfills": "src/polyfills.ts",
						"tsConfig": "tsconfig.spec.json",
						"karmaConfig": "karma.conf.js",
						"assets": [
							"src/favicon.ico",
							"src/assets"
						],
						"styles": [
							"src/styles.scss"
						],
						"scripts": []
					}
				}
			}
		},
		"ng-lib": {
			"root": "projects/ng-lib",
			"sourceRoot": "projects/ng-lib/src",
			"projectType": "library",
			"prefix": "lib",
			"architect": {
				"build": {
					"builder": "@angular-devkit/build-angular:ng-packagr",
					"options": {
						"tsConfig": "projects/ng-lib/tsconfig.lib.json",
						"project": "projects/ng-lib/ng-package.json"
					},
					"configurations": {
						"production": {
							"tsConfig": "projects/ng-lib/tsconfig.lib.prod.json"
						}
					}
				},
				"test": {
					"builder": "@angular-devkit/build-angular:karma",
					"options": {
						"main": "projects/ng-lib/src/test.ts",
						"tsConfig": "projects/ng-lib/tsconfig.spec.json",
						"karmaConfig": "projects/ng-lib/karma.conf.js"
					}
				}
			}
		}
  },
	"cli": {
		"analytics": false
	}
}
